import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { UserRestaurant } from '../entities/user-restuarant.entity';

@Injectable()
export class UserRestaurantRepository extends EntityRepository<UserRestaurant> {
  constructor(readonly em: EntityManager) {
    super(em, UserRestaurant);
  }
}
